Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim.mcu
Class ATMega128L.SimImpl.USART.ControlRegisterB

    java.lang.Object
      avrora.sim.State.RWIOReg
          avrora.sim.Simulator.IMRReg
              avrora.sim.Simulator.MaskRegister
                  avrora.sim.Simulator.UnorderedMaskRegister
                      avrora.sim.mcu.ATMega128L.SimImpl.USART.ControlRegisterB

All Implemented Interfaces:
  State.IOReg

Enclosing class:
  ATMega128L.SimImpl.USART

protected class ATMega128L.SimImpl.USART.ControlRegisterB
extends Simulator.UnorderedMaskRegister

UCSRnB (`ControlRegisterB`) is one of three control/status registers for the USART. The high three bits are actually interrupt mask bits.

Field Summary

Fields inherited from class avrora.sim.Simulator.MaskRegister
`baseVect, flagRegister, increasingVectors`

Fields inherited from class avrora.sim.State.RWIOReg
`value`

Method Summary
`protected void` | `decode(byte value)`
`void` | `write(byte val)` The `write()` method writes an 8-bit value to the IO register as a byte.
`void` | `writeBit(int bit, boolean val)` The `writeBit()` method writes a single bit value into the IO register at the specified bit offset.

Methods inherited from class avrora.sim.Simulator.UnorderedMaskRegister
`getVectorNum, update`

Methods inherited from class avrora.sim.Simulator.MaskRegister
`update`

Methods inherited from class avrora.sim.State.RWIOReg
`read, readBit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### write

    public void write(byte val)

  Description copied from class: `State.RWIOReg`
  The `write()` method writes an 8-bit value to the IO register as a byte. For simple `RWIOReg` instances, this simply writes the internally stored value.

  Specified by:
    `write` in interface `State.IOReg`
  Overrides:
    `write` in class `Simulator.MaskRegister`

### writeBit

    public void writeBit(int bit,
                         boolean val)

  Description copied from interface: `State.IOReg`
  The `writeBit()` method writes a single bit value into the IO register at the specified bit offset.

  Specified by:
    `writeBit` in interface `State.IOReg`
  Overrides:
    `writeBit` in class `Simulator.MaskRegister`

### decode

    protected void decode(byte value)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD